package oclib

import (
	"cloud.o-forge.io/core/oc-lib/dbs/mongo"
	"cloud.o-forge.io/core/oc-lib/models"
	"cloud.o-forge.io/core/oc-lib/models/resources"
	"cloud.o-forge.io/core/oc-lib/utils"
)

const (
	INVALID    = resources.INVALID
	DATA       = resources.DATA
	PROCESSING = resources.PROCESSING
	STORAGE    = resources.STORAGE
	DATACENTER = resources.DATACENTER
	WORKFLOW   = resources.WORKFLOW
)

const (
	MONGO = utils.MONGO
)

func Init() {
	mongo.MONGOService.Init(models.GetModelsNames(), GetConfig())
}

func LoadOne(name string, id string) interface{} {
	return models.Model(name).GetAccessor().LoadOne(id)
}

func UpdateOne(name string, set map[string]interface{}, id string) interface{} {
	return models.Model(name).GetAccessor().UpdateOne(set, id)
}

func DeleteOne(name string, id string) interface{} {
	return models.Model(name).GetAccessor().DeleteOne(id)
}

func StoreOne(name string, object map[string]interface{}) interface{} {
	model := models.Model(name)
	return model.GetAccessor().StoreOne(model.Deserialize(object))
}
